/api/v1/projects/{projectId}

This can be used to update a specific project by its ID.

Path Params
string
required
Body Params
string

The unique identifier of the source. This is a user-generated string. You can use this to link the person to a resource in an external system.

string
length ≤ 128

The name of the project. Must be 128 characters or less.

string
length ≤ 255

The owner of the project. Must be 255 characters or less.

string
length between 6 and 128

The address of the project. Must be between 6 and 128 characters long.

number

The latitude of the project. This is used to compute for instance the weather conditions on the project site.

number

The longitude of the project. This is used to compute the weather conditions.

string
length between 2 and 12

The project key. This is a short string that identifies the project. It must be at least 2 characters long, and at most 12 characters long & may only consist of numbers and letters.

integer
≥ 1

The volume of the project (in Euros). Must be a positive integer.

string | null
enum

The phase of the project.

Allowed:
date-time

The start date of the project (in ISO8601 format). Must be between 2010-01-01 and 2039-12-31.

date-time | null

The planned end date of the project (in ISO8601 format). Must be between 2010-01-01 and 2039-12-31.

uuid | null

Links the project owner to a person from the organisation contact book. Mutually exclusive with owner_company_id. Takes precedence over owner (free text) when provided.

uuid | null

Links the project owner to a company from the organisation contact book. Mutually exclusive with owner_person_id. Takes precedence over owner (free text) when provided.

string | null

The client of the project (free text). Must be 255 characters or less.

uuid | null

Links the project client to a person from the organisation contact book. Mutually exclusive with client_company_id. Takes precedence over client (free text) when provided.

uuid | null

Links the project client to a company from the organisation contact book. Mutually exclusive with client_person_id. Takes precedence over client (free text) when provided.

string | null
enum

The type of construction project.

Allowed:
string | null
enum

The type of building being constructed.

uuid | null

The ID of the person from the project contact book responsible for the project. Must be a project member with active membership.

integer | null
≥ 1

Sum of approved additions (in Euros). Must be a positive integer.

Headers
string

The HTTP Request-Id request header is an optional and unofficial HTTP header, used to trace individual HTTP requests from the client to the server and back again. It allows the client and server to correlate each HTTP request. If not provided by the client, the server should generate a unique request ID and include it in the response.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json